Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 75286 - [FLOAT]Left float to the right of right edge of normal flow box doesn't cause wrap around [FLOAT]
: [FLOAT]Left float to the right of right edge of normal flow box doesn't cause...
[Hixie-P3][CSS1-5.5.25] important flo...
: css1, testcase
Product: Core
Classification: Components
Component: Layout: Floats (show other bugs)
: Trunk
: All All
: P3 normal with 2 votes (vote)
: mozilla1.9.1b3
Assigned To: David Baron :dbaron: ⌚️UTC+9 (busy until November 7)
: Jet Villegas (:jet)
Depends on: 191448
Blocks: float
  Show dependency treegraph
Reported: 2001-04-09 14:59 PDT by Hixie (not reading bugmail)
Modified: 2010-01-29 15:41 PST (History)
12 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Hixie (not reading bugmail) 2001-04-09 14:59:41 PDT
   Float a left float to the right of the right edge of a normal flow box, as

   We don't mvoe the text down.

   See test case.

This is yet another floater bug. I feel almost embarassed to file these now. We
have so many it's not even funny. Oh, by the way, Opera gets this right (in 
HTML, anyway). Mac IE and Win IE get this wrong because they misplace the box
altogether, so I guess at least with this one we aren't doing altogether badly.

cc'ing dbaron (out of habbit) and glazman (he asked me to CC him on CSS bugs).
Comment 1 Hixie (not reading bugmail) 2001-04-09 15:00:54 PDT
Triaging: floater bug -> attinasi
Comment 2 Kevin McCluskey (gone) 2001-11-02 10:34:20 PST
Moved FLOAT to Summary
Comment 3 Marc Attinasi 2002-02-25 15:46:24 PST
Moving Mozilla 1.01 bugs to 'future' milestone with priority P1

I will be pulling bugs from 'future' milestones when scheduling later work.
Comment 4 Andrew Schultz 2003-01-30 11:25:28 PST
==> Floats
Comment 5 Eli Friedman 2007-06-30 22:40:44 PDT
Comment 6 Ryan VanderMeulen [:RyanVM] 2007-07-01 06:53:03 PDT
It doesn't match how Safari or Opera renders it, so which of the three renderings is correct?
Comment 7 Eli Friedman 2007-07-01 07:24:28 PDT
Err, wait, I misread the testcase; our rendering is probably wrong.  (The only reason we can pull off a rendering like this is due to our over-engineered space manager which is way too flexible.)

I can't seem to find any text in the spec that actually says that text isn't allowed to flow to the left of a left float, though.
Comment 8 Eli Friedman 2007-07-01 07:26:05 PDT
(Safari and Opera render the testcase slightly differently from each other due to font-size differences; the significant bit is the text in the second block.)
Comment 9 Emil Ivanov 2010-01-29 08:16:52 PST
WFM with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2) Gecko/20100115 Firefox/3.6 and 
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20100129 Shiretoko/3.5.8pre

The given testcase from the url matches with: Firefox 3.5.8, Firefox 3.6, Opera 10.1, Chrome 4, Safari 4.

-> WFM
Comment 10 David Baron :dbaron: ⌚️UTC+9 (busy until November 7) 2010-01-29 10:30:27 PST
This was fixed by bug 191448; I confirmed by checking the 1.9.1-branch nightlies for 2009-02-12 and 2009-02-13:  it was fixed between those nightlies.  (I used branch because I wanted to check that it wasn't fixed by the patch, broken by the followups, and then refixed later.)

Note You need to log in before you can comment on or make changes to this bug.